<?php
/**
 * @package         
 * @copyright       Copyright (C) 2017 MDM-IT Mariusz Dziewulski. All rights reserved.
 * @license         see LICENSE.txt
 */

    //error_reporting(0);    
    include_once("permition_app_class.php");
    $app_permit=new app_permit();
    if($app_permit->permit_module(basename(__FILE__))==='0') exit;
    include("config/config.php");

    include_once("main_window_menu.php");
    include_once("main_window_toolbar.php");

?>
<html>
<header>    
<title>NetMap4Nagios</title>
<meta http-equiv="refresh" content="<?php echo $refresh_interval; ?>" />
<link type="text/css" href="js/jquery/css/redmond/jquery-ui.custom.css" rel="stylesheet" />
<script type="text/javascript" src="js/jquery/jquery.js"></script>
<script  type="text/javascript" src="js/jquery/jquery-ui.js"></script>

<link   rel="stylesheet" type="text/css" media="screen" href="js/jqGrid/css/ui.jqgrid.css" />
<link rel="stylesheet" type="text/css" media="screen" href="js/jqGrid/css/mdmit/redmond/ui.jqgrid_md.css" />
<!--<link rel="stylesheet" type="text/css" media="screen" href="js/jqGrid-4.8.2/css/ui.jqgrid.css" />-->
<script  src="js/jqGrid/js/i18n/grid.locale-en.js" type="text/javascript"></script>
<script  src="js/jqGrid/js/jquery.jqGrid.min.js" type="text/javascript"></script>
<script  type="text/javascript" src="js/jqGrid/js/jquery.contextmenu.js"></script>

<link rel="stylesheet" href="js/Zebra/css/mdmit/zebra_dialog.css" type="text/css">
<script type="text/javascript" src="js/Zebra/zebra_dialog.js"></script>
<link type="text/css" href="js/jquery_window/css/jquery.window.css" rel="stylesheet" />
<link type="text/css" href="js/jquery_window/css/mdmit_window.css" rel="stylesheet" />
<script type="text/javascript" src="js/jquery_window/jquery.window.min.js"></script>

<script type="text/javascript" src="lib/mdmit_dialogs.js"></script>

<!--<link type="text/css" href="lib/main_window_style.css" rel="stylesheet" />-->
<script type="text/javascript" src="lib/mdmit_lib.js"></script>
<style>
#grid tr:hover{  
    background:none;
}    
.ui-jqgrid .ui-jqgrid-htable th{
    color: #ffffff; 
    font-weight: bold;
    /*font-family: Lucida Grande, Lucida Sans, Arial,sans-serif,Tahoma,Verdana;*/
    font-size: 10px;
    background-image: url(js/jquery/css/redmond/images/ui-bg_gloss-wave_55_5c9ccc_500x100.png);
}
.ui-jqgrid .ui-jqgrid-htable th,
.ui-jqgrid .ui-jqgrid-btable .jqgrow td {
    /*height: 18px !important;*/
}
.evenTableRow
{
   background: #F4F4FF;
   /*background-color:#e8eef4;*/
}
.oddTableRow
{
   background: #e8eef4;
}    
/*.ui-jqgrid tr.jqgrow td 
{
    white-space: normal !important;
}*/
body {
	margin: 0 0 0 0;
	padding: 0;        
}
    
.ui-button-text {
   font-size: 0.9em !important;
   line-height: 1.2 !important;
   font-style: normal;
   font-weight: normal;
   padding: 0.2em 0.8em !important;
}
.ui-button {
   border-radius: 2px !important; 
}
</style>

<body>
<div id="main_page_id" style="margin-bottom: 3px; margin-top: 8px; margin-left: 5px; margin-right: 5px;" align="center">
    <table id="grid1"></table>
    <div id="pager1"></div>
    <div id="mysearch"></div>
</div>

<script type="text/javascript">
var mygrid;
var refresh_interval="<?php echo $refresh_interval; ?>";
refresh_interval=refresh_interval*1000;
//setTimeout(() => {  w.close(); }, 2000);

mygrid = jQuery("#grid1").jqGrid({
   	url:"servers/serwer_nagios.php?q=select_services_errors",
        datatype: "xml",
        colNames:['Host Name','Service Name','Host ID','Address IP','Current State','Status Information','Last Check','Next Check','Last Hard State','State Type','Next Notifi.','Perfdata'],
        colModel:[
		  {name:'alias',            index:'nagios_hosts.alias',                    width:100,hidden:false,align:"left"},
                  {name:'s_display_name',   index:'nagios_services.display_name',          width:50,hidden:false, align:"left"},
                  {name:'host_object_id',   index:'nagios_hosts.host_object_id',           width:10,hidden:true,  align:"left"},                    
                  {name:'adress_ip',        index:'nagios_hosts.address',                  width:40,hidden:false, align:"left"},
                  {name:'current_state',    index:'nagios_servicestatus.current_state',    width:30,hidden:false, align:"left"},
                  {name:'output',           index:'nagios_servicestatus.output',           width:120,hidden:false, align:"left"},
                  {name:'last_check',       index:'nagios_servicestatus.last_check',       width:40,hidden:false, align:"left"},
                  {name:'next_check',       index:'nagios_servicestatus.next_check',       width:40,hidden:false, align:"left"},
                  {name:'last_hard_state',  index:'nagios_servicestatus.last_hard_state',  width:30,hidden:true,  align:"left"},
                  {name:'state_type',       index:'nagios_servicestatus.state_type',       width:20,hidden:true,  align:"left"},
                  {name:'next_notification',index:'nagios_servicestatus.next_notification',width:40,hidden:true, align:"left"},
                  {name:'perfdata',         index:'nagios_servicestatus.perfdata',         width:50,hidden:false, align:"left"}
   	],
        rowNum:100,
   	rowList:[100,200,300,1000,3000],
        emptyrecords: "No data",
   	pager: '#pager1',
        toppager: true,
        mType: "POST",
   	sortname: 'nagios_hosts.alias',
        sortorder: "asc",
        viewrecords: true,
        gridView: true,
        autowidth: true,
        height: 630,
        caption:"Nagios Services Alarms",
        //caption:false,
	grouping: true,
        groupingView : { 
                groupField : ['alias'],
                groupColumnShow : [true],
                groupText: ['          {0} - ({1})'],
                groupCollapse : [false],
                groupOrder: ['asc']
        },
        gridComplete: function(){
           $("#grid1 tr:nth-child(even) ").addClass("evenTableRow");
           $("#grid1 tr:nth-child(odd) " ).addClass("oddTableRow");
	   var ids = $("#grid1").jqGrid('getDataIDs');
           var row = $("#grid1").jqGrid('getRowData');
	   for(var i=0;i < ids.length;i++)
           {
		var cl = ids[i];
		var state=row[i].current_state;
		switch (state)
		{
		    //case "OK":		$("#grid1").jqGrid('setCell',ids[i],"current_state","",{'background-color':'#FACFDB','background-image':'none'});
			//break;
		    case "CRITICAL":	$("#grid1").jqGrid('setCell',ids[i],"current_state","",{'background-color':'#FF632A','background-image':'none'});
					$("#grid1").jqGrid('setCell',ids[i],"s_display_name","",{'background-color':'#FF632A','background-image':'none'});
					$("#grid1").jqGrid('setCell',ids[i],"output","",{'background-color':'#FF632A','background-image':'none'});
			break;
		    case "WARNING":	$("#grid1").jqGrid('setCell',ids[i],"current_state","",{'background-color':'#E7E24F','background-image':'none'});
					$("#grid1").jqGrid('setCell',ids[i],"s_display_name","",{'background-color':'#E7E24F','background-image':'none'});
					$("#grid1").jqGrid('setCell',ids[i],"output","",{'background-color':'#E7E24F','background-image':'none'});
			break;
		    case "UNKNOWN":	$("#grid1").jqGrid('setCell',ids[i],"current_state","",{'background-color':'#E7E6E6','background-image':'none'});
					$("#grid1").jqGrid('setCell',ids[i],"s_display_name","",{'background-color':'#E7E6E6','background-image':'none'});
					$("#grid1").jqGrid('setCell',ids[i],"output","",{'background-color':'#E7E6E6','background-image':'none'});
			break;
		}
	   }
        }
});
$(window).bind('resize', function() {
    $("#grid1").setGridHeight($(window).height()-200);
    $("#grid1").setGridWidth($(window).width()-12);
}).trigger('resize');

jQuery("#grid1").jqGrid('navGrid','#pager1',{edit:false,add:false,del:false,search:true,refresh:true,cloneToTop:true},
{},
{},
{},
{closeOnEscape:true,multipleSearch:true,searchOnEnter:true,multipleGroup:true,stringResult:true, showQuery:true});
//-----------------------------------------------------------------------------------------------
jQuery("#grid1").jqGrid('filterToolbar',{stringResult: true,searchOnEnter : true});
mygrid[0].toggleToolbar();
jQuery("#grid1").jqGrid('navButtonAdd',"#grid1_toppager",{
   caption:"Filter",
   title:"Filter",
   buttonicon:'ui-icon-shuffle',
   onClickButton:function(){
         mygrid[0].toggleToolbar();
      }
});

function startAutoRefreshing()
{
    jQuery("#grid1").trigger("reloadGrid",[{current:true}]);
}

setInterval(startAutoRefreshing(), 3000);
 
</script>


<?php
    require_once("main_window_footer_end.php");
?>
